#include <bits/stdc++.h>
#include "testlib.h"
using namespace std;
typedef long long ll;
const int A=1'000'000'000;
void gen_case(int n,int q,int val){
    vector<int>input={n,q};
    println(input);
    int x=rnd.next(1,val);
    int y=rnd.next(1,val);
    int k=(A-x)/y;
    vector<int>a(n);
    for(int i=0;i<n;i++){
        a[i]=x+rnd.next(0,k)*y;
    }
    println(a);
    while(q--){
        int x=rnd.next(1,val);
        println(x);
    }
}
int main(int argc, char* argv[]) {
    registerGen(argc, argv, 1);
    int n=opt<int>("n");
    int q=opt<int>("q");
    int val=opt<int>("val");
    gen_case(n,q,val);
    return 0;
}
